/* bsdtest.c (emx+gcc) */

#include <stdio.h>
#include <stdlib.h>

static void usage (void)
{
  printf ("Usage: bsdtest -r\n");
  exit (1);
}


int main (int argc, char *argv[])
{
  int i;
  long n;

  if (argc != 2)
    usage ();
  if (strcmp (argv[1], "-r") == 0)
    for (i = 0; i < 1024; ++i)
      {
        n = random ();
        printf ("%12ld", n);
        if (i % 6 == 5)
        putchar ('\n');
      }
  else
    usage ();
  return 0;
}

